export declare class EclFileTranslationsItem {
    el: HTMLElement;
    theme: string;
    styleClass: string;
    variant: string;
    meta: string;
    parentId: string;
    fileTitle: string;
    downloadLink: string;
    downloadLabel: string;
    downloadAttribute: boolean;
    language: string;
    getClass(): string;
    getChildrenClass(): string;
    getTitle(): any;
    getMeta(): any;
    componentWillLoad(): void;
    componentDidLoad(): void;
    render(): any;
}
